BusApplicationContext (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.bus.spring

## Class BusApplicationContext

- java.lang.Object
- - org.springframework.core.io.DefaultResourceLoader
  - - org.springframework.context.support.AbstractApplicationContext
    - - org.springframework.context.support.AbstractRefreshableApplicationContext
      - - org.springframework.context.support.AbstractRefreshableConfigApplicationContext
        - - org.springframework.context.support.AbstractXmlApplicationContext
          - - org.springframework.context.support.ClassPathXmlApplicationContext
            - - org.apache.cxf.bus.spring.BusApplicationContext

- All Implemented Interfaces:
    `Closeable`, `AutoCloseable`, `org.springframework.beans.factory.Aware`, `org.springframework.beans.factory.BeanFactory`, `org.springframework.beans.factory.BeanNameAware`, `org.springframework.beans.factory.HierarchicalBeanFactory`, `org.springframework.beans.factory.InitializingBean`, `org.springframework.beans.factory.ListableBeanFactory`, `org.springframework.context.ApplicationContext`, `org.springframework.context.ApplicationEventPublisher`, `org.springframework.context.ConfigurableApplicationContext`, `org.springframework.context.Lifecycle`, `org.springframework.context.MessageSource`, `org.springframework.core.env.EnvironmentCapable`, `org.springframework.core.io.ResourceLoader`, `org.springframework.core.io.support.ResourcePatternResolver`

      public class BusApplicationContext
      extends org.springframework.context.support.ClassPathXmlApplicationContext

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.springframework.core.io.DefaultResourceLoader

      `org.springframework.core.io.DefaultResourceLoader.ClassPathContextResource`

  - ### Field Summary

    - ### Fields inherited from class org.springframework.context.support.AbstractApplicationContext

      `APPLICATION_EVENT_MULTICASTER_BEAN_NAME, LIFECYCLE_PROCESSOR_BEAN_NAME, logger, MESSAGE_SOURCE_BEAN_NAME`

    - ### Fields inherited from interface org.springframework.beans.factory.BeanFactory

      `FACTORY_BEAN_PREFIX`

    - ### Fields inherited from interface org.springframework.context.ConfigurableApplicationContext

      `APPLICATION_STARTUP_BEAN_NAME, CONFIG_LOCATION_DELIMITERS, CONVERSION_SERVICE_BEAN_NAME, ENVIRONMENT_BEAN_NAME, LOAD_TIME_WEAVER_BEAN_NAME, SHUTDOWN_HOOK_THREAD_NAME, SYSTEM_ENVIRONMENT_BEAN_NAME, SYSTEM_PROPERTIES_BEAN_NAME`

    - ### Fields inherited from interface org.springframework.core.io.ResourceLoader

      `CLASSPATH_URL_PREFIX`

    - ### Fields inherited from interface org.springframework.core.io.support.ResourcePatternResolver

      `CLASSPATH_ALL_URL_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BusApplicationContext​(String[] cfs, boolean include)` |
    `BusApplicationContext​(String[] cf, boolean include, org.springframework.context.ApplicationContext parent)` |
    `BusApplicationContext​(String[] cf, boolean include, org.springframework.context.ApplicationContext parent, org.springframework.beans.factory.xml.NamespaceHandlerResolver res)` |
    `BusApplicationContext​(String cf, boolean include)` |
    `BusApplicationContext​(String cf, boolean include, org.springframework.context.ApplicationContext parent)` |
    `BusApplicationContext​(URL[] urls, boolean include)` |
    `BusApplicationContext​(URL[] url, boolean include, org.springframework.context.ApplicationContext parent)` |
    `BusApplicationContext​(URL[] url, boolean include, org.springframework.context.ApplicationContext parent, org.springframework.beans.factory.xml.NamespaceHandlerResolver res)` |
    `BusApplicationContext​(URL url, boolean include)` |
    `BusApplicationContext​(URL url, boolean include, org.springframework.context.ApplicationContext parent)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static org.springframework.core.io.Resource` | `findResource​(String cfgFile)` |
    `protected org.springframework.core.io.Resource[]` | `getConfigResources()` |
    `protected void` | `initBeanDefinitionReader​(org.springframework.beans.factory.xml.XmlBeanDefinitionReader reader)` |
    `protected void` | `loadBeanDefinitions​(org.springframework.beans.factory.support.DefaultListableBeanFactory beanFactory)` |

    - ### Methods inherited from class org.springframework.context.support.AbstractXmlApplicationContext

      `loadBeanDefinitions, setValidating`

    - ### Methods inherited from class org.springframework.context.support.AbstractRefreshableConfigApplicationContext

      `afterPropertiesSet, getConfigLocations, getDefaultConfigLocations, resolvePath, setBeanName, setConfigLocation, setConfigLocations, setId`

    - ### Methods inherited from class org.springframework.context.support.AbstractRefreshableApplicationContext

      `assertBeanFactoryActive, cancelRefresh, closeBeanFactory, createBeanFactory, customizeBeanFactory, getBeanFactory, hasBeanFactory, refreshBeanFactory, setAllowBeanDefinitionOverriding, setAllowCircularReferences`

    - ### Methods inherited from class org.springframework.context.support.AbstractApplicationContext

      `addApplicationListener, addBeanFactoryPostProcessor, close, containsBean, containsBeanDefinition, containsLocalBean, createEnvironment, destroy, destroyBeans, doClose, findAnnotationOnBean, findAnnotationOnBean, finishBeanFactoryInitialization, finishRefresh, getAliases, getApplicationListeners, getApplicationName, getApplicationStartup, getAutowireCapableBeanFactory, getBean, getBean, getBean, getBean, getBean, getBeanDefinitionCount, getBeanDefinitionNames, getBeanFactoryPostProcessors, getBeanNamesForAnnotation, getBeanNamesForType, getBeanNamesForType, getBeanNamesForType, getBeanNamesForType, getBeanProvider, getBeanProvider, getBeanProvider, getBeanProvider, getBeansOfType, getBeansOfType, getBeansWithAnnotation, getDisplayName, getEnvironment, getId, getInternalParentBeanFactory, getInternalParentMessageSource, getMessage, getMessage, getMessage, getParent, getParentBeanFactory, getResourcePatternResolver, getResources, getStartupDate, getType, getType, initApplicationEventMulticaster, initLifecycleProcessor, initMessageSource, initPropertySources, invokeBeanFactoryPostProcessors, isActive, isPrototype, isRunning, isSingleton, isTypeMatch, isTypeMatch, obtainFreshBeanFactory, onClose, onRefresh, postProcessBeanFactory, prepareBeanFactory, prepareRefresh, publishEvent, publishEvent, publishEvent, refresh, registerBeanPostProcessors, registerListeners, registerShutdownHook, resetCommonCaches, setApplicationStartup, setDisplayName, setEnvironment, setParent, start, stop, toString`

    - ### Methods inherited from class org.springframework.core.io.DefaultResourceLoader

      `addProtocolResolver, clearResourceCaches, getClassLoader, getProtocolResolvers, getResource, getResourceByPath, getResourceCache, setClassLoader`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.springframework.context.ConfigurableApplicationContext

      `addProtocolResolver, setClassLoader`

    - ### Methods inherited from interface org.springframework.core.io.ResourceLoader

      `getClassLoader, getResource`

- - ### Constructor Detail

    - #### BusApplicationContext

          public BusApplicationContext​(String cf,
                                       boolean include)

    - #### BusApplicationContext

          public BusApplicationContext​(String[] cfs,
                                       boolean include)

    - #### BusApplicationContext

          public BusApplicationContext​(URL url,
                                       boolean include)

    - #### BusApplicationContext

          public BusApplicationContext​(URL[] urls,
                                       boolean include)

    - #### BusApplicationContext

          public BusApplicationContext​(String cf,
                                       boolean include,
                                       org.springframework.context.ApplicationContext parent)

    - #### BusApplicationContext

          public BusApplicationContext​(URL url,
                                       boolean include,
                                       org.springframework.context.ApplicationContext parent)

    - #### BusApplicationContext

          public BusApplicationContext​(String[] cf,
                                       boolean include,
                                       org.springframework.context.ApplicationContext parent)

    - #### BusApplicationContext

          public BusApplicationContext​(String[] cf,
                                       boolean include,
                                       org.springframework.context.ApplicationContext parent,
                                       org.springframework.beans.factory.xml.NamespaceHandlerResolver res)

    - #### BusApplicationContext

          public BusApplicationContext​(URL[] url,
                                       boolean include,
                                       org.springframework.context.ApplicationContext parent)

    - #### BusApplicationContext

          public BusApplicationContext​(URL[] url,
                                       boolean include,
                                       org.springframework.context.ApplicationContext parent,
                                       org.springframework.beans.factory.xml.NamespaceHandlerResolver res)

  - ### Method Detail

    - #### getConfigResources

          protected org.springframework.core.io.Resource[] getConfigResources()

      Overrides:
        `getConfigResources` in class `org.springframework.context.support.ClassPathXmlApplicationContext`

    - #### findResource

          public static org.springframework.core.io.Resource findResource​(String cfgFile)

    - #### initBeanDefinitionReader

          protected void initBeanDefinitionReader​(org.springframework.beans.factory.xml.XmlBeanDefinitionReader reader)

      Overrides:
        `initBeanDefinitionReader` in class `org.springframework.context.support.AbstractXmlApplicationContext`

    - #### loadBeanDefinitions

          protected void loadBeanDefinitions​(org.springframework.beans.factory.support.DefaultListableBeanFactory beanFactory)
                                      throws IOException

      Overrides:
        `loadBeanDefinitions` in class `org.springframework.context.support.AbstractXmlApplicationContext`
      Throws:
        `IOException`